Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  verschieben von block/text mitte von zwei punkten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   verschieben von block/text mitte von zwei punkten (2334 mal gelesen)
michelangelo
Mitglied



Sehen Sie sich das Profil von michelangelo an!   Senden Sie eine Private Message an michelangelo  Schreiben Sie einen Gästebucheintrag für michelangelo

Beiträge: 158
Registriert: 08.04.2004

Win XP, ACAD 2002 ExpressTool vom ACAD 2000

erstellt am: 21. Okt. 2004 15:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

gibt es einen schiebe befehl mit dem ich einen Text oder Block anklicken kann. dann zwei punkte angeben kann und es verschieb es mir in die mit der beiden punkte.

das heisst ich habe zum beispiel ein rechteck. und einen block. ich möchte zwei diagonale punkte des rechtecks ankgeben. und den block wählen. dann verschieb es den block in die mitte des rechtecks. gibts so was.?? und wen nein wie muss ich das angehen zu programmieren.?

------------------
[AutoCAD spricht mit jedem, nur leider nicht immer die gleiche Sprache.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 21. Okt. 2004 16:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich

Es gibt 3 Lösungen - die eine ist MIDX.lsp - schwierrt hier irgendwo rum (Rund um ACAD)

------------------
.Signatur hat derzeit leider Urlaub.

[Diese Nachricht wurde von cadffm am 21. Okt. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 21. Okt. 2004 16:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich

Zur Vervollständigung:

die 2. Lösung wäre ACAD2005
die 3. wäre ein Makro in dieser Art:
'_cal;(end+end)/2;

------------------
.Signatur hat derzeit leider Urlaub.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

michelangelo
Mitglied



Sehen Sie sich das Profil von michelangelo an!   Senden Sie eine Private Message an michelangelo  Schreiben Sie einen Gästebucheintrag für michelangelo

Beiträge: 158
Registriert: 08.04.2004

Win XP, ACAD 2002 ExpressTool vom ACAD 2000

erstellt am: 21. Okt. 2004 16:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ETWA SO STELLE ICH MIR DAS VOR NUR HABE ICH NICHT SO VIEL AHNUNG VON LISP DAS ICH WEISS WIE ICH DAS RICHTIG SCHREIBEN MUSS.


(defun C:SBM ( / AUSWAHL p1 p2 p3)
(setq AUSWAHL (ssget "C")
  (setq OSC_old (getvar "osnapcoord"))
(setvar "osnapcoord" 1)
(setq p1 (getpoint "\nErsten Punkt wählen"))
(setq p2 (getpoint "\nzweiten Punkt wählen"))
(setq p3 (strcat (rtos (+ (car p1) (* (- (car p2) (car p1)) 0.5)) 2 8) "," (rtos (+ (cadr p1) (* 0.5 (- (cadr p2) (cadr p1)))) 2 8) ",0.0"))
(setvar "osnapcoord" (print OSC_old))
  (print p3)
;(MOVE AUSWAHL BASISPUNKT P3)     
)
(princ)

------------------
[AutoCAD spricht mit jedem, nur leider nicht immer die gleiche Sprache.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 21. Okt. 2004 17:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich

Hallo michelangelo,

dafür reicht ein einfacher Lisp-Ausdruck auf einer Schaltfläche

Code:

(if cal (cal "plt(end,end,0.5)")(progn(arxload "geomcal")(cal "plt(end,end,0.5)")))


Vortiel ist, du kannst es transparent aufrufen, und auch bei jedem Befehl verwenden.

Das Ganze ist nur die Verwendung des im AutoCAD enthaltenen Geometrierechners, den man ohnehin transparent in jedem Befehl nutzen kann. Wer sich über die Möglichkeiten informieren möchte, der sollte mal unter dem Stichwort kal in der Acad-Hilfe nachlesen. Damit geht wirklich eine ganze Menge.

Bei Fragen ...

Grüße Holger

------------------
Holger Brischke
(defun - Lisp over night!
AutoLISP-Programmierung für AutoCAD
Da weiß man, wann man's hat!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 21. Okt. 2004 17:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von michelangelo:
ETWA SO STELLE ICH MIR DAS VOR NUR HABE ICH NICHT SO VIEL AHNUNG VON LISP DAS ICH WEISS WIE ICH DAS RICHTIG SCHREIBEN MUSS.
...

Hallo michelangelo,

Ich gehe mal davon aus, dass du das nur versehentlich so groß [geschrien] geschrieben hast.
Mal abgesehen von der Schreibweise, hier im Forum werden die Fragen (hoffentlich) nur aus den von dir genannten Grund gepostet. Dazu ist das Forum da, und braucht nicht extra betont werden.


Grüße Holger

------------------
Holger Brischke
(defun - Lisp over night!
AutoLISP-Programmierung für AutoCAD
Da weiß man, wann man's hat!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StephanJP
Mitglied
CAD-Admin


Sehen Sie sich das Profil von StephanJP an!   Senden Sie eine Private Message an StephanJP  Schreiben Sie einen Gästebucheintrag für StephanJP

Beiträge: 797
Registriert: 09.11.2000

erstellt am: 22. Okt. 2004 09:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich


jpcal.zip

 
nur am Rande:

für "cal=(end+end)/2" hat ADesk schon die Kurzform "cal=mee" eingebaut  . Habe für unsere Fa. folgenden Werkzeugkasten "Geomcal":

**GEOMCAL
ID_GeomCal_0  [_Toolbar("GeomCal", _Floating, _Hide, 295, 356, 1)]
ID_Mee        [_Button("MEE", "JPCAL001.bmp", "ICON_16_BLANK")]'cal;MEE;
ID_Mxx        [_Button("MIntInt", "JPCAL002.bmp", "ICON_16_BLANK")]'cal;(int+int)/2;
ID_Mii        [_Button("MInsIns", "JPCAL003.bmp", "ICON_16_BLANK")]'cal;(ins+ins)/2;
ID_Ilp        [_Button("ILP", "JPCAL004.bmp", "ICON_16_BLANK")]'cal;ilp(end,end,end,end,end);
ID_Plt        [_Button("Teilungspunkt (end,end,1/ ..", "JPCAL005.bmp", "ICON_16_BLANK")]'cal;plt(end,end,1/
ID_UserButton_4 [_Button("Goldener Schnitt", "JPCAL006.bmp", "ICON_16_BLANK")]'cal;plt(end,end,1/((sqrt(5)+1)/2));
ID_Ill        [_Button("Schnittpunkt zweier Linien", "JPCAL007.BMP", "ICON_16_BLANK")]'cal;ill(end,end,end,end);
ID_0          [_Button("Highlight", "jpicon32.BMP", "ICON_16_BLANK")]^Phighlight;1;
ID_Pconvert    [_Button("Polylinien konvertieren", "JPCAL008.bmp", "ICON_16_BLANK")]_convertpoly;fett;

gebastelt, für einige häufiger gebrauchte Geometriefunktionen.

------------------
 
gruß
Stephan

[Diese Nachricht wurde von StephanJP am 22. Okt. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gmk
Mitglied
Dipl.-Ing.(FH) Vermessung


Sehen Sie sich das Profil von gmk an!   Senden Sie eine Private Message an gmk  Schreiben Sie einen Gästebucheintrag für gmk

Beiträge: 643
Registriert: 23.10.2002

Autocad 2004, WS CadCompass, Normica V2000, WinXP Prof., AMD Athlon 64 X2, 2GB, NVIDIA GeForce 7600GS, HP1055CM

erstellt am: 22. Okt. 2004 12:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich

(MAPCAR '(LAMBDA (x y) (/ (+ x y) 2))(GETPOINT "Punkt 1") (GETPOINT "Punkt 2"))

(midx beschränkt die genauigkeit auf 8 nachkommastellen)

ciao georg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 22. Okt. 2004 12:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für michelangelo 10 Unities + Antwort hilfreich

Danke GMK - darauf habe ich nie geachtet und beim Test eben kamen noch gleich ein paar andere Dinge zu Tage:
Bezieht sich alles auf Abstände die unter eine Größe von 8 Nachkommastellen sind:

ACAD gibt Meldungen heraus das man Linien mit Null-Länge erstellt obwohl das nicht stimmt !

ACAD kann mit so "kleinen" Zahlen nicht mehr alle Griffe anzeigen !
(bei Linie zB zeigt er nurnoch einen Endpunkt-Griff an, die anderen 2 nicht !)
- etwas länger gemacht zeigt er die beiden Endpunktgriffe - noch etwas
länger dann auch den 3. , den Mittelpunkt wieder an.


Das er die Anzeige nur bis acht Stelle hat ist mir ja klar, aber solche Meldung wie Nulllänger etc.
sollten nicht erscheinen , weil rechnen kann er ja locker darüber hinaus..

------------------
.Signatur hat derzeit leider Urlaub.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz